# Go基础教程
## Go 环境
- [Go开发环境安装](https://gocn.vip/wiki/install)
- [Go Module 配置](https://gocn.vip/wiki/gomodule)

## Go 语言教程
- [[Go 零基础编程入门教程-01] Go 安装和配置](https://www.bilibili.com/video/av18288497/)
- [[Go 零基础编程入门教程-02] Go 开发利器：VSCode](https://www.bilibili.com/video/av18319744/)
- [[Go 零基础编程入门教程-03] 命名规范，声明变量和常量](https://www.bilibili.com/video/av18523501/)
- [[Go 零基础编程入门教程-04] 基础数据类型](https://www.bilibili.com/video/av18545561/)
- [[Go 零基础编程入门教程-05] 数组](https://www.bilibili.com/video/av18622585/)
- [[Go 零基础编程入门教程-06] 切片](https://www.bilibili.com/video/av18699016/)
- [[Go 零基础编程入门教程-07] Map 学习和使用](https://www.bilibili.com/video/av18794720/)
- [[Go 零基础编程入门教程-08] 函数](https://www.bilibili.com/video/av18832358/)
- [[Go 零基础编程入门教程-09] 自定义类型](https://www.bilibili.com/video/av19875467)
- [[Go 零基础编程入门教程-10] 结构体](https://www.bilibili.com/video/av20049165/)
- [[Go 零基础编程入门教程-11] 方法](https://www.bilibili.com/video/av20318388/)
- [[Go 零基础编程入门教程-12] 接口](https://www.bilibili.com/video/av20330175/)
- [[Go 零基础编程入门教程-13] 分支循环](https://www.bilibili.com/video/av20620028/)
- [[Go 零基础编程入门教程-14] 异常处理](https://www.bilibili.com/video/av20664302/)
- [[Go 零基础编程入门教程-15] 并发与同步](https://www.bilibili.com/video/av20894338/)
- [[Go 零基础编程入门教程-16] channel](https://www.bilibili.com/video/av20931427/)
- [[Go 零基础编程入门教程-17] 锁](https://www.bilibili.com/video/av21172512)
- [[Go 零基础编程入门教程-18] 原子操作](https://www.bilibili.com/video/av21227084)
- [[Go 零基础编程入门教程-19] 文件读取](https://www.bilibili.com/video/av21890850)
- [[Go 零基础编程入门教程-20] 文件写入](https://www.bilibili.com/video/av22436779)
- [[Go 零基础编程入门教程-21] 序列化和反序列化：XML](https://www.bilibili.com/video/av23686676)
- [[Go 零基础编程入门教程-22] 序列化和反序列化：JSON](https://www.bilibili.com/video/av24327123)


## Go By Example
Go 是一门被设计用来构建简单、高效、可信赖软件的开源程序设计语言。<br />Go by Example 是对 Go 基于实践的介绍，包含一系列带有注释说明的示例程序。查看第一个例子或者浏览下面的完整列表
- [Hello World](https://gobyexample-cn.github.io/hello-world)
- [值](https://gobyexample-cn.github.io/values)
- [变量](https://gobyexample-cn.github.io/variables)
- [常量](https://gobyexample-cn.github.io/constants)
- [For 循环](https://gobyexample-cn.github.io/for)
- [If/Else 分支](https://gobyexample-cn.github.io/if-else)
- [Switch 分支结构](https://gobyexample-cn.github.io/switch)
- [数组](https://gobyexample-cn.github.io/arrays)
- [切片](https://gobyexample-cn.github.io/slices)
- [Map](https://gobyexample-cn.github.io/maps)
- [Range 遍历](https://gobyexample-cn.github.io/range)
- [函数](https://gobyexample-cn.github.io/functions)
- [多返回值](https://gobyexample-cn.github.io/multiple-return-values)
- [变参函数](https://gobyexample-cn.github.io/variadic-functions)
- [闭包](https://gobyexample-cn.github.io/closures)
- [递归](https://gobyexample-cn.github.io/recursion)
- [指针](https://gobyexample-cn.github.io/pointers)
- [结构体](https://gobyexample-cn.github.io/structs)
- [方法](https://gobyexample-cn.github.io/methods)
- [接口](https://gobyexample-cn.github.io/interfaces)
- [错误处理](https://gobyexample-cn.github.io/errors)
- [协程](https://gobyexample-cn.github.io/goroutines)
- [通道](https://gobyexample-cn.github.io/channels)
- [通道缓冲](https://gobyexample-cn.github.io/channel-buffering)
- [通道同步](https://gobyexample-cn.github.io/channel-synchronization)
- [通道方向](https://gobyexample-cn.github.io/channel-directions)
- [通道选择器](https://gobyexample-cn.github.io/select)
- [超时处理](https://gobyexample-cn.github.io/timeouts)
- [非阻塞通道操作](https://gobyexample-cn.github.io/non-blocking-channel-operations)
- [通道的关闭](https://gobyexample-cn.github.io/closing-channels)
- [通道遍历](https://gobyexample-cn.github.io/range-over-channels)
- [Timer](https://gobyexample-cn.github.io/timers)
- [Ticker](https://gobyexample-cn.github.io/tickers)
- [工作池](https://gobyexample-cn.github.io/worker-pools)
- [WaitGroup](https://gobyexample-cn.github.io/waitgroups)
- [速率限制](https://gobyexample-cn.github.io/rate-limiting)
- [原子计数器](https://gobyexample-cn.github.io/atomic-counters)
- [互斥锁](https://gobyexample-cn.github.io/mutexes)
- [状态协程](https://gobyexample-cn.github.io/stateful-goroutines)
- [排序](https://gobyexample-cn.github.io/sorting)
- [使用函数自定义排序](https://gobyexample-cn.github.io/sorting-by-functions)
- [Panic](https://gobyexample-cn.github.io/panic)
- [Defer](https://gobyexample-cn.github.io/defer)
- [组合函数](https://gobyexample-cn.github.io/collection-functions)
- [字符串函数](https://gobyexample-cn.github.io/string-functions)
- [字符串格式化](https://gobyexample-cn.github.io/string-formatting)
- [正则表达式](https://gobyexample-cn.github.io/regular-expressions)
- [JSON](https://gobyexample-cn.github.io/json)
- [XML](https://gobyexample-cn.github.io/xml)
- [时间](https://gobyexample-cn.github.io/time)
- [时间戳](https://gobyexample-cn.github.io/epoch)
- [时间的格式化和解析](https://gobyexample-cn.github.io/time-formatting-parsing)
- [随机数](https://gobyexample-cn.github.io/random-numbers)
- [数字解析](https://gobyexample-cn.github.io/number-parsing)
- [URL 解析](https://gobyexample-cn.github.io/url-parsing)
- [SHA1 哈希](https://gobyexample-cn.github.io/sha1-hashes)
- [Base64 编码](https://gobyexample-cn.github.io/base64-encoding)
- [读文件](https://gobyexample-cn.github.io/reading-files)
- [写文件](https://gobyexample-cn.github.io/writing-files)
- [行过滤器](https://gobyexample-cn.github.io/line-filters)
- [文件路径](https://gobyexample-cn.github.io/file-paths)
- [目录](https://gobyexample-cn.github.io/directories)
- [临时文件和目录](https://gobyexample-cn.github.io/temporary-files-and-directories)
- [单元测试](https://gobyexample-cn.github.io/testing)
- [命令行参数](https://gobyexample-cn.github.io/command-line-arguments)
- [命令行标志](https://gobyexample-cn.github.io/command-line-flags)
- [命令行子命令](https://gobyexample-cn.github.io/command-line-subcommands)
- [环境变量](https://gobyexample-cn.github.io/environment-variables)
- [HTTP 客户端](https://gobyexample-cn.github.io/http-clients)
- [HTTP 服务端](https://gobyexample-cn.github.io/http-servers)
- [Context](https://gobyexample-cn.github.io/context)
- [生成进程](https://gobyexample-cn.github.io/spawning-processes)
- [执行进程](https://gobyexample-cn.github.io/execing-processes)
- [信号](https://gobyexample-cn.github.io/signals)
- [退出](https://gobyexample-cn.github.io/exit)
